body{
    margin:0;
    font-family:'Rubik',sans-serif;
    background-color:#111;
} 

*{
    box-sizing: border-box;
}

h1,h3{
    font-weight:400;
}

.weather-app{
    min-height:100vh;
     background-image:url("./images/Day/Clear.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
   color:#fff;
   position:relative;
   transition: 500ms;
    /* opacity:"0";   */

}

 .weather-app::before{
    content:"";
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgb(0,0,0,0.3);
    z-index:0;

} 

.container{
       position:absolute;
       top:0;
       left:0;
       width:100%;
       height:100%;
       display:flex;
       justify-content: space-between;
       align-items:flex-start;
       flex-direction: column;
       padding:2em 3em 4em 3em;
} 

.container > div{
    display:flex;
    justify-content:center;
    align-items:center;
    
    }


.city-time,.temp,.weather{
    margin: 0 1em;
}

.city-time h1{
    margin:0;
    margin-bottom: 0.2em;
       font-size:3em;
}

.temp{
    font-size:5em;
    margin:0;
}

.weather img{
    display:block;
    margin:0.5em 0;
}


.panel{
    position:absolute;
    width:40%;
    height:100%;
    top:0;
    right:0;
    background: rgb(110,110,110,0.25);
    box-shadow:0 8px 32px 0 rgb(0,0,0,0.3);
    backdrop-filter:blur(10px);
    -webkit-backdrop-filter:blur(10px); 
    border:1px solid rgb(255,255,255,0.18);
    z-index:1;
    padding:3em 2em;
}

.panel form{
    margin-bottom: 3em;
}



.submit{
    position:absolute;
    top:3px;
    right:5px;
    padding:1.5em;
    margin:0;
    outline:none;
    border:none;
    border-radius: 9px;
    background:#fa6d1b;
    cursor:pointer;
    font-size:1em;
    transition:0.4s;
    color:#fff;
}

.submit:hover{
    background:#fff !important;
    color:#000;
}

.search{
  
    background: none;
    border:none;
    border-bottom:1px solid #ccc;
    padding:0 1em 0.5em 0;
    width:80%;
    color:#fff;
    font-size:1.1em;
}

.search:focus{
    outline:none;
}

.search::placeholder{
    color:#fff;
}

.panel ul{
  padding:0 0 1em 0 ;
  margin:2em 0;
  border-bottom:1px #c0cc solid;
}

.panel ul li{
    color:#ccc;
    margin:2.5em 0;
}

.panel ul h4{
    margin:3em 0;
}

.city{
    display:block;
    cursor:pointer;
}



.city:hover{
    color:#fff;
} 

.details li{
        display:flex;
        justify-content:space-between;
        align-items:center;
}



@media screen and (max-width:900px){
    .panel,.container{
        position:relative;
        width:100%;
        top:initial;
    }

}


@media screen and (max-width:500px){
    html{
        font-size:12px;
    }
}

 @media screen and (max-height:300px){
    
    .weather-app{
        min-height:43em;
        
    }
  
} 

